# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "calc"
version = "0.2.0"
authors = ["Peter Goodspeed-Niklaus <peter.r.goodspeedniklaus@gmail.com>"]
description = "CLI calculator app"
keywords = ["calculator", "cli"]
categories = ["command-line-interface", "command-line-utilities", "mathematics"]
license = "GPL-3.0-only"
repository = "https://github.com/coriolinus/calc"
[dependencies.anyhow]
version = "1.0.38"
optional = true

[dependencies.lalrpop-util]
version = "0.19.4"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.regex]
version = "1.4.3"

[dependencies.rustyline]
version = "7.1.0"
optional = true

[dependencies.structopt]
version = "0.3.21"
optional = true

[dependencies.thiserror]
version = "1.0.23"
[build-dependencies.lalrpop]
version = "0.19.4"

[features]
cli = ["anyhow", "rustyline", "structopt"]
default = ["cli"]
